Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.validation
Class ValidatorConstraint

    java.lang.Object
      org.codehaus.groovy.grails.validation.AbstractConstraint
          org.codehaus.groovy.grails.validation.ValidatorConstraint

All Implemented Interfaces:
  Constraint, MessageSourceAware

    public class ValidatorConstraint

extends AbstractConstraint

A constraint class that validates using a user-supplied closure.

The Closure will receive one or two parameters containing the new value of the property and the object on which the validation is being performed. The value is always the first parameterm and the object is the second. These parameters must be type compatible with the value of the property and constrained class.

The Closure can return any of:

- NULL to indicate success
- true to indicate success
- false to indicate a failure, with the default failure message
- a string to indicate a failure with the specific error code which will be appended to the prefix for the constrained class and property i.e. classname.propertyname.stringfromclosurehere
- a list containing an error code and any other arguments for the error message. The error code will be appended to the standard classname.propertyname prefix and the arguments made available to the error message as parameters numbered 3 onwards.

Since:
  0.4
Author:
  Marc Palmer

Field Summary

Fields inherited from class org.codehaus.groovy.grails.validation.AbstractConstraint
`classShortName, constraintOwningClass, constraintParameter, constraintPropertyName, messageSource`

Constructor Summary
`ValidatorConstraint()`

Method Summary
`String` | `getName()`
`protected void` | `processValidate(Object target, Object propertyValue, Errors errors)`
`void` | `setParameter(Object constraintParameter)` The parameter which the constraint is validated against
`protected boolean` | `skipBlankValues()`
`protected boolean` | `skipNullValues()`
`boolean` | `supports(Class type)` Returns whether the constraint supports being applied against the specified type;

Methods inherited from class org.codehaus.groovy.grails.validation.AbstractConstraint
`checkState, getDefaultMessage, getPropertyName, rejectValue, rejectValue, rejectValue, rejectValue, rejectValue, rejectValueWithDefaultMessage, setMessageSource, setOwningClass, setPropertyName, toString, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ValidatorConstraint

    public ValidatorConstraint()

Method Detail

### skipNullValues

    protected boolean skipNullValues()

  Overrides:
    `skipNullValues` in class `AbstractConstraint`

### skipBlankValues

    protected boolean skipBlankValues()

  Overrides:
    `skipBlankValues` in class `AbstractConstraint`

### processValidate

    protected void processValidate(Object target,
                                   Object propertyValue,
                                   Errors errors)

  Specified by:
    `processValidate` in class `AbstractConstraint`

### setParameter

    public void setParameter(Object constraintParameter)

  Description copied from interface: `Constraint`
  The parameter which the constraint is validated against

  Specified by:
    `setParameter` in interface `Constraint`
  Overrides:
    `setParameter` in class `AbstractConstraint`
  Parameters:
    `constraintParameter` - The constraintParameter to set.

### getName

    public String getName()

  Returns:
    The name of the constraint

### supports

    public boolean supports(Class type)

  Description copied from interface: `Constraint`
  Returns whether the constraint supports being applied against the specified type;

  Parameters:
    `type` - The type to support
  Returns:
    True if the constraint can be applied against the specified type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2009 The Grails project